> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get admin reward list

> Get paginated and filtered list of reward for admin management. Supports filtering by space, status, platform, verification result, and search.



## OpenAPI

````yaml /swagger.json get /admin/reward/list
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /admin/reward/list:
    get:
      tags:
        - admin
        - reward
      summary: Get admin reward list
      description: >-
        Get paginated and filtered list of reward for admin management. Supports
        filtering by space, status, platform, verification result, and search.
      parameters:
        - schema:
            type: string
            description: Filter by space ID
          required: false
          description: Filter by space ID
          name: spaceId
          in: query
        - schema:
            type: string
            enum:
              - appSumoActivation
              - socialShare
              - system
            description: Filter by reward source type
          required: false
          description: Filter by reward source type
          name: sourceType
          in: query
        - schema:
            type: string
            enum:
              - pending
              - approved
              - rejected
            description: Filter by reward status
          required: false
          description: Filter by reward status
          name: status
          in: query
        - schema:
            type: string
            enum:
              - x
              - linkedin
            description: Filter by social platform
          required: false
          description: Filter by social platform
          name: platform
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            description: Filter by verification result
          required: false
          description: Filter by verification result
          name: isValid
          in: query
        - schema:
            type: string
            description: Search by postUrl, uniqueKey or userId
          required: false
          description: Search by postUrl, uniqueKey or userId
          name: search
          in: query
        - schema:
            type: string
            description: Filter by created time from (ISO string)
          required: false
          description: Filter by created time from (ISO string)
          name: createdTimeFrom
          in: query
        - schema:
            type: string
            description: Filter by created time to (ISO string)
          required: false
          description: Filter by created time to (ISO string)
          name: createdTimeTo
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          required: false
          name: pageSize
          in: query
      responses:
        '200':
          description: Returns the paginated list of reward
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        space:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                          required:
                            - id
                            - name
                        user:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            email:
                              type: string
                          required:
                            - id
                            - name
                        status:
                          type: string
                          enum:
                            - pending
                            - approved
                            - rejected
                        sourceType:
                          type: string
                          enum:
                            - appSumoActivation
                            - socialShare
                            - system
                        sourceMetaData:
                          nullable: true
                        amount:
                          type: integer
                        consumedAmount:
                          type: number
                          nullable: true
                        remainingAmount:
                          type: number
                          nullable: true
                        rewardTime:
                          type: string
                          nullable: true
                        expiredTime:
                          type: string
                          nullable: true
                        createdTime:
                          type: string
                      required:
                        - id
                        - space
                        - user
                        - status
                        - sourceType
                        - amount
                        - consumedAmount
                        - remainingAmount
                        - rewardTime
                        - expiredTime
                        - createdTime
                  total:
                    type: integer
                required:
                  - items
                  - total
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/reward/list?spaceId=SOME_STRING_VALUE&sourceType=SOME_STRING_VALUE&status=SOME_STRING_VALUE&platform=SOME_STRING_VALUE&isValid=SOME_STRING_VALUE&search=SOME_STRING_VALUE&createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&pageSize=SOME_INTEGER_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/reward/list?spaceId=SOME_STRING_VALUE&sourceType=SOME_STRING_VALUE&status=SOME_STRING_VALUE&platform=SOME_STRING_VALUE&isValid=SOME_STRING_VALUE&search=SOME_STRING_VALUE&createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&pageSize=SOME_INTEGER_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/reward/list?spaceId=SOME_STRING_VALUE&sourceType=SOME_STRING_VALUE&status=SOME_STRING_VALUE&platform=SOME_STRING_VALUE&isValid=SOME_STRING_VALUE&search=SOME_STRING_VALUE&createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&pageSize=SOME_INTEGER_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/reward/list?spaceId=SOME_STRING_VALUE&sourceType=SOME_STRING_VALUE&status=SOME_STRING_VALUE&platform=SOME_STRING_VALUE&isValid=SOME_STRING_VALUE&search=SOME_STRING_VALUE&createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&pageSize=SOME_INTEGER_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````